# Uses of Class
nu.xom.Text

Packages that use Text
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of Text in nu.xom

Methods in nu.xom that return Text
Modifier and Type
Method
Description
`Text`
Text.`copy()`
Returns a deep copy of this `Text` with no parent, that can be added to this document or a different one.
Methods in nu.xom with parameters of type Text
Modifier and Type
Method
Description
`protected void`
Serializer.`write(Text text)`
Writes a `Text` object onto the output stream using the current options.
Constructors in nu.xom with parameters of type Text
Modifier
Constructor
Description
``
`Text(Text text)`
Creates a copy of the specified `Text` object.

## Uses of Text in nu.xom.converters

Methods in nu.xom.converters that return Text
Modifier and Type
Method
Description
`static Text`
DOMConverter.`convert(Text text)`
Translates a DOM `org.w3c.dom.Text` object into an equivalent `nu.xom.Text`.

## Uses of Text in nu.xom.tests

Methods in nu.xom.tests with parameters of type Text
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, Text expected, Text actual)`
Asserts that two text nodes are equal.
`static void`
XOMTestCase.`assertEquals(Text expected, Text actual)`
Asserts that two text nodes are equal.